{% extends 'base_homepage.html' %}
{% load static %}

{% block title %}
    BooKeeper - Biblioteca personala cu posibilitatea ed a imprumuta carti la/de la prieteni
    <!--- personal library organizer with the possibility to borrow/lend books from/to friends-->
{% endblock %}

{% block content %}
    <!-- login form ---------->

   {# ----------- Metoda 1 (form creat utilizand integrated django: forms.Form + procesare date user) -----------------------------------#}


    <form class="form-signin" action="" method="post">
     {% csrf_token %}
     {{ form }}

     <input class="btn-login" type="submit" value="AUTENTIFICARE - ACCES LA BIBLIOTECA">

        {# If the username or/and password provided by the user is/are incorrect, display a message to the user (can't have access) #}
        {% if bad_login_data %}
            <p style="color:#ff642e;font-size:13px;font-weight: bold">{{ bad_login_data }}</p>
            <div style="font-size:13px;color:white">Te rugam sa incerci din nou.</div>
        {% endif %}

        <div class="forgot" style="margin-top:20px;">
            <a href="#">Ai uitat parola? -> Resetare parola<!--Forgot your password?--></a><br />
            <span class="text">Nu ai cont?<!--New here?--></span>
            <a href="#" class="btn-create-account">
               Inregistreaza-te &raquo;
               <!--Create a Bookeeper Account &raquo;-->
            </a>
        </div>

    </form>

{#    <form class="form-signin" action="" method="post">#}
{#     {% csrf_token %}#}
{#     {{ form }}#}
{#     <input type="submit" value="Submit">#}
{##}
        {# If the username or/and password provided by the user is/are incorrect, display a message to the user (can't have access) #}
{#        {% if bad_login_data %}#}
{#            <p style="color:#ff642e;font-size:13px;font-weight: bold">{{ bad_login_data }}</p>#}
{#            <div style="color:#ffc12e;font-size:13px;">Va rugam sa incercati din nou.</div>#}
{#        {% endif %}#}
{##}
{#    </form>#}




    {# ----------- Metoda 2 (formul cu stiluri css - fara procesare) -----------------------------------#}
{#					  <form class="form-signin" action="/login/" method="post" name="form">#}
{#                          {% csrf_token %}#}
{#					      <label for="username">Username</label>#}
{#						  <input class="form-styling" type="text" name="username" placeholder="" size="50"/>#}
{#						  <label for="password">Parola   <!--Password--></label>#}
{#						  <input class="form-styling" type="password" name="password" placeholder="" size="50"/>#}
{#                          <label>&nbsp;</label>#}
{#                          <input class="btn-login" type="submit" value="AUTENTIFICARE - ACCES LA BIBLIOTECA" />#}
{##}
{#                          <div class="forgot" style="margin-top:20px;">#}
{#                              <a href="#">Ati uitat parola?<!--Forgot your password?--></a><br />#}
{#                              <span class="text">Nou aici?<!--New here?--></span>#}
{#                              <a href="#" class="btn-create-account">#}
{#                                  Creati un cont Bookeeper &raquo;#}
{#                                  <!--Create a Bookeeper Account &raquo;-->#}
{#                              </a>#}
{#                          </div>#}
{#					   </form>#}
{##}
{#                      <!-- Form for registration - add new users -->#}
{#                       <form class="form-signup" action="" method="post" name="form">#}
{#                              <label for="fullname">Nume si prenume  <!--First name name--></label>#}
{#                              <input class="form-styling" type="text" name="fullname" placeholder=""/>#}
{#                              <label for="password">Parola   <!--Password--></label>#}
{#                              <input class="form-styling" type="text" name="password" placeholder=""/>#}
{#                              <label for="confirmpassword">Confirmati parola    <!--Confirm password--></label>#}
{#                              <input class="form-styling" type="text" name="confirmpassword" placeholder=""/>#}
{#                              <a ng-click="checked = !checked" class="btn-signup">Inregistrare     <!--Register--></a>#}
{#                       </form>#}



{% endblock %}